package com.tanpu.feo.feojob.constant;


/**
 * Constant 数据库表字段对应的实体类属性名常量类,
 * 					在编写自定义impl层tk.mybatis方法需要指定属性名时使用
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
public class OrgConstant{

	/** 主键 */
	public static final String ID = "id";
	/** 机构唯一识别码 */
	public static final String ORG_CODE = "orgCode";
	/** 机构名称 */
	public static final String ORG_NAME = "orgName";
	/** 自动通过认证 */
	public static final String AUTOMATIC_PROCESSING = "automaticProcessing";
	/** 是否购买了精选：0：否 1：是 */
	public static final String ISBUY_SELECTION = "isbuySelection";
	/** 是否购买了今日聚焦 0：否 1：是 */
	public static final String ISBUY_TODAYFOCUS = "isbuyTodayfocus";
	/** 推送标签 */
	public static final String AR_PUSH_LABELS = "arPushLabels";
	/** 功能码 */
	public static final String FUN_CODES = "funCodes";
	/** 个人主页定制 */
	public static final String HOMEPAGE_CUSTOM = "homepageCustom";
	/** 获客内容设置 */
	public static final String CONTENT_SET = "contentSet";
	/** 名片模板 */
	public static final String CARD_TEMPLATE = "cardTemplate";
	/** 合格投资者认证开关 */
	public static final String ACCREDITED_INVESTOR_SWITCH = "accreditedInvestorSwitch";
	/** 朋友圈助手开关 */
	public static final String FRIEND_TOOLS_SWITCH = "friendToolsSwitch";
	/** 机构主体类别 */
	public static final String TAG_CATEGORY_ID = "tagCategoryId";
	/** 阿里云短信签名 */
	public static final String ALIYUN_SIGN_NAME = "aliyunSignName";
	/** 阿里云消息模版ID */
	public static final String ALIYUN_TEMPCODE = "aliyunTempcode";
	/** 阿里云AccessKeyId */
	public static final String ALIYUN_ACCESS_KEY_ID = "aliyunAccessKeyId";
	/** 阿里云AccessKeySecret */
	public static final String ALIYUN_ACCESS_KEY_SECRET = "aliyunAccessKeySecret";
	/** appId标识 */
	public static final String APP_ID = "appId";
	/** AppKey */
	public static final String APP_KEY = "appKey";
	/** SecretKey */
	public static final String SECRET_KEY = "secretKey";
	/** 服务到期时间 */
	public static final String TIME_VALIDITY = "timeValidity";
	/** 创建时间 */
	public static final String CREATE_TIME = "createTime";
	/** 创建人 */
	public static final String CREATE_BY = "createBy";
	/** 修改时间 */
	public static final String UPDATE_TIME = "updateTime";
	/** 修改人 */
	public static final String UPDATE_BY = "updateBy";
	/** 删除标识 */
	public static final String DELETE_TAG = "deleteTag";
	/**  */
	public static final String IS_CHECK_SUBJECT = "isCheckSubject";
	/**  */
	public static final String APP_TYPE = "appType";
	/**  */
	public static final String AGENT_ID = "agentId";

	private OrgConstant() {}
}
