package com.tanpu.feo.feojob.web.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description - 提取了表设计规范中的基础属性的Entity基类，所有entity都必须继承此类

 * @author wht 2018-07-08
 * @version 1.0
 **/
@Data
public class BaseEntity implements Serializable {
    private static final long serialVersionUID = -6097968643931862242L;
    /** ID */
    private String id;
    /** 是否删除 */
    private String deleteTag;
    /** 是否生效 */
//    private String isValid;
    /** 修改人 */
    private String updateBy;
    /** 修改时间 */
    private Date updateTime;
    /** 创建时间 */
    private Date createTime;
    /** 创建人 */
    private String createBy;
    /** 查询模式：默认：精确匹配；like:左右模糊；leftLike:%左模糊；rightLike :右模糊%*/
//	private String searchType;
}
