package com.tanpu.feo.feojob.constant;


/**
 * 角色信息表Constant 数据库表字段对应的实体类属性名常量类,
 * 					在编写自定义impl层tk.mybatis方法需要指定属性名时使用
 * @author zejia zj wu 2021年05月19日
 * @version 1.0
 */
public class RoleConstant{

	/** 唯一主键 */
	public static final String ID = "id";
	/** 角色id */
	public static final String ROLE_ID = "roleId";
	/** 角色描述 */
	public static final String DESCRIPTION = "description";
	/** 角色类型, m管理员，t团队长，i理财师 */
	public static final String TYPE = "type";
	/** 0未删除，1删除 */
	public static final String DELETE_TAG = "deleteTag";
	/** 创建时间 */
	public static final String CREATE_TIME = "createTime";
	/** 修改时间 */
	public static final String UPDATE_TIME = "updateTime";
	/** 修改人 */
	public static final String UPDATE_BY = "updateBy";
	/** 创建人 */
	public static final String CREATE_BY = "createBy";

	private RoleConstant() {}
}
