package com.tanpu.feo.feojob.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.tanpu.feo.feojob.entity.Role;
import com.tanpu.feo.feojob.mapper.RoleMapper;
import com.tanpu.feo.feojob.service.RoleService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 角色信息表ServiceImp
 *
 * @author zejia zj wu 2021年05月19日
 * @version 1.0
 */
@Service("roleService")
@Slf4j
public class RoleServiceImpl implements RoleService {

	@Autowired
	private RoleMapper roleMapper;


	@Override
	public Map<String, String> findInfoNoAdmin() {
		QueryWrapper<Role> queryWrapper = new QueryWrapper<>();
		queryWrapper.eq("delete_tag", "0");
		List<Role> roles = roleMapper.selectList(queryWrapper);
		HashMap<String, String> map = new HashMap<>();
		for (Role role : roles) {
			map.put(role.getType(), role.getRoleId());
		}
		return map;
	}
}
