package com.tanpu.feo.feojob.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.tanpu.feo.feojob.entity.UserInfo;
import com.tanpu.feo.feojob.mapper.UserInfoMapper;
import com.tanpu.feo.feojob.service.UserInfoService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * ServiceImp
 *
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
@Service("userInfoService")
@Slf4j
public class UserInfoServiceImpl implements UserInfoService {

	@Autowired
	private UserInfoMapper userInfoMapper;

	@Override
	public List<UserInfo> getUserInfoListByOrgId(String orgId) {
		QueryWrapper<UserInfo> queryWrapper = new QueryWrapper<>();
		queryWrapper.eq("org_id", orgId)
				.eq("deletetag", "0");
		List<UserInfo> userInfoList = userInfoMapper.selectList(queryWrapper);
		return userInfoList;
	}
}
